Hide navigation sidebar
Hide table of contents sidebar
Toggle table of contents sidebar

# self.portfolio_value

property Strategy.portfolio_value

  Returns the current portfolio value (cash + positions value).

  Returns the portfolio value of positions plus cash in US dollars.

  Crypto markets will attempt to resove to US dollars as a quote currency.

  Returns

    portfolio_value – The current portfolio value. Includes the actual values of shares held by the current strategy plus the total cash.

  Return type

    float

  Example

      >>> # Get the current portfolio value
      >>> self.log_message(self.portfolio_value)